Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.core.util
Interface IAnnotationComponentValue

public interface IAnnotationComponentValue

Description of an annotation component value as described in the JVM specifications (added in J2SE 1.5). This interface may be implemented by clients.

Since:
  3.0

Method Summary
`IAnnotationComponentValue[]` | `getAnnotationComponentValues()` Answer back the annotation component values as described in the JVM specifications.
`IAnnotation` | `getAttributeValue()` Answer back the attribute value as described in the JVM specifications.
`IConstantPoolEntry` | `getClassInfo()` Answer back the class info as described in the JVM specifications.
`int` | `getClassInfoIndex()` Answer back the class info index as described in the JVM specifications.
`IConstantPoolEntry` | `getConstantValue()` Answer back the constant value as described in the JVM specifications.
`int` | `getConstantValueIndex()` Answer back the constant value index as described in the JVM specifications.
`IConstantPoolEntry` | `getEnumConstant()` Answer back the enum constant as described in the JVM specifications.
`int` | `getEnumConstantIndex()` Answer back the enum constant index as described in the JVM specifications.
`int` | `getTag()` Answer back the tag as described in the JVM specifications.
`int` | `getValuesNumber()` Answer back the number of values as described in the JVM specifications.

Method Detail

### getAnnotationComponentValues

    public IAnnotationComponentValue[] getAnnotationComponentValues()

  Answer back the annotation component values as described in the JVM specifications. This is initialized only of the tag item is '['.

  Returns:
    the annotation component values

### getAttributeValue

    public IAnnotation getAttributeValue()

  Answer back the attribute value as described in the JVM specifications. This is initialized only of the tag item is '@'.

  Returns:
    the attribute value

### getClassInfo

    public IConstantPoolEntry getClassInfo()

  Answer back the class info as described in the JVM specifications. This is initialized only of the tag item is 'c'.

  Returns:
    the class info

### getClassInfoIndex

    public int getClassInfoIndex()

  Answer back the class info index as described in the JVM specifications. This is initialized only of the tag item is 'c'.

  Returns:
    the class info index

### getConstantValue

    public IConstantPoolEntry getConstantValue()

  Answer back the constant value as described in the JVM specifications. This is initialized only of the tag item is one of 'B', 'C', 'D', 'F', 'I', 'J', 'S', 'Z', or 's'.

  Returns:
    the constant value

### getConstantValueIndex

    public int getConstantValueIndex()

  Answer back the constant value index as described in the JVM specifications. This is initialized only of the tag item is one of 'B', 'C', 'D', 'F', 'I', 'J', 'S', 'Z', or 's'.

  Returns:
    the constant value index

### getEnumConstant

    public IConstantPoolEntry getEnumConstant()

  Answer back the enum constant as described in the JVM specifications. This is initialized only of the tag item is 'e'.

  Returns:
    the enum constant

### getEnumConstantIndex

    public int getEnumConstantIndex()

  Answer back the enum constant index as described in the JVM specifications. This is initialized only of the tag item is 'e'.

  Returns:
    the enum constant index

### getTag

    public int getTag()

  Answer back the tag as described in the JVM specifications.

  Returns:
    the tag

### getValuesNumber

    public int getValuesNumber()

  Answer back the number of values as described in the JVM specifications. This is initialized only of the tag item is '['.

  Returns:
    the number of values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.